Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.support
Class ConsoleDialogs

    java.lang.Object
      com.eviware.soapui.support.ConsoleDialogs

All Implemented Interfaces:
  com.eviware.x.dialogs.XDialogs

    public class ConsoleDialogs

extends java.lang.Object
implements com.eviware.x.dialogs.XDialogs

Constructor Summary
`ConsoleDialogs()`

Method Summary
`boolean` | `confirm(java.lang.String question, java.lang.String title)`
`boolean` | `confirmExtendedInfo(java.lang.String title, java.lang.String description, java.lang.String content, java.awt.Dimension size)`
`java.lang.Boolean` | `confirmOrCancel(java.lang.String question, java.lang.String title)`
`java.lang.Boolean` | `confirmOrCancleExtendedInfo(java.lang.String title, java.lang.String description, java.lang.String content, java.awt.Dimension size)`
`com.eviware.x.dialogs.XProgressDialog` | `createProgressDialog(java.lang.String label, int length, java.lang.String initialValue, boolean canCancel)`
`java.lang.String` | `prompt(java.lang.String question, java.lang.String title)`
`java.lang.String` | `prompt(java.lang.String question, java.lang.String title, java.lang.Object[] objects)`
`java.lang.String` | `prompt(java.lang.String question, java.lang.String title, java.lang.Object[] objects, java.lang.String value)`
`java.lang.String` | `prompt(java.lang.String question, java.lang.String title, java.lang.String value)`
`void` | `showErrorMessage(java.lang.String message)`
`void` | `showExtendedInfo(java.lang.String title, java.lang.String description, java.lang.String content, java.awt.Dimension size)`
`void` | `showInfoMessage(java.lang.String message)`
`void` | `showInfoMessage(java.lang.String message, java.lang.String title)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsoleDialogs

    public ConsoleDialogs()

Method Detail

### confirm

    public boolean confirm(java.lang.String question,
                           java.lang.String title)

  Specified by:
    `confirm` in interface `com.eviware.x.dialogs.XDialogs`

### confirmOrCancel

    public java.lang.Boolean confirmOrCancel(java.lang.String question,
                                             java.lang.String title)

  Specified by:
    `confirmOrCancel` in interface `com.eviware.x.dialogs.XDialogs`

### prompt

    public java.lang.String prompt(java.lang.String question,
                                   java.lang.String title,
                                   java.lang.String value)

  Specified by:
    `prompt` in interface `com.eviware.x.dialogs.XDialogs`

### prompt

    public java.lang.String prompt(java.lang.String question,
                                   java.lang.String title)

  Specified by:
    `prompt` in interface `com.eviware.x.dialogs.XDialogs`

### prompt

    public java.lang.String prompt(java.lang.String question,
                                   java.lang.String title,
                                   java.lang.Object[] objects)

  Specified by:
    `prompt` in interface `com.eviware.x.dialogs.XDialogs`

### prompt

    public java.lang.String prompt(java.lang.String question,
                                   java.lang.String title,
                                   java.lang.Object[] objects,
                                   java.lang.String value)

  Specified by:
    `prompt` in interface `com.eviware.x.dialogs.XDialogs`

### showErrorMessage

    public void showErrorMessage(java.lang.String message)

  Specified by:
    `showErrorMessage` in interface `com.eviware.x.dialogs.XDialogs`

### showInfoMessage

    public void showInfoMessage(java.lang.String message)

  Specified by:
    `showInfoMessage` in interface `com.eviware.x.dialogs.XDialogs`

### showInfoMessage

    public void showInfoMessage(java.lang.String message,
                                java.lang.String title)

  Specified by:
    `showInfoMessage` in interface `com.eviware.x.dialogs.XDialogs`

### createProgressDialog

    public com.eviware.x.dialogs.XProgressDialog createProgressDialog(java.lang.String label,
                                                                      int length,
                                                                      java.lang.String initialValue,
                                                                      boolean canCancel)

  Specified by:
    `createProgressDialog` in interface `com.eviware.x.dialogs.XDialogs`

### showExtendedInfo

    public void showExtendedInfo(java.lang.String title,
                                 java.lang.String description,
                                 java.lang.String content,
                                 java.awt.Dimension size)

  Specified by:
    `showExtendedInfo` in interface `com.eviware.x.dialogs.XDialogs`

### confirmExtendedInfo

    public boolean confirmExtendedInfo(java.lang.String title,
                                       java.lang.String description,
                                       java.lang.String content,
                                       java.awt.Dimension size)

  Specified by:
    `confirmExtendedInfo` in interface `com.eviware.x.dialogs.XDialogs`

### confirmOrCancleExtendedInfo

    public java.lang.Boolean confirmOrCancleExtendedInfo(java.lang.String title,
                                                         java.lang.String description,
                                                         java.lang.String content,
                                                         java.awt.Dimension size)

  Specified by:
    `confirmOrCancleExtendedInfo` in interface `com.eviware.x.dialogs.XDialogs`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.